Get Affiliate
curl --request GET \
--url https://api.centralcart.io/v1/app/affiliate/{affiliate-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.centralcart.io/v1/app/affiliate/{affiliate-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.centralcart.io/v1/app/affiliate/{affiliate-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"store_id": 1,
"name": "Afiliado Exemplo",
"ref_code": "AFFILIATE001",
"percent_commission": 10,
"balance": 150.5,
"min_withdraw": 50,
"email": "[email protected]",
"self_affiliated": false,
"withdraw_settings": null,
"dash_secret": "REDACTED",
"created_at": "2024-01-16T15:12:36.000-03:00",
"updated_at": "2024-01-16T15:12:36.000-03:00",
"statistics": {
"revenue": 1500,
"sales": 15
}
}Afiliados
Get Affiliate
Obtém os detalhes de um afiliado.
GET
/
app
/
affiliate
/
{affiliate-id}
Get Affiliate
Autorizações
Token de API gerado no painel da CentralCart.
Parâmetros de caminho
ID do afiliado
Parâmetros de consulta
Se true, inclui estatísticas de receita e vendas do afiliado